## org.apache.poi.xslf.usermodel
Class XSLFAutoShape

    java.lang.Object
      org.apache.poi.xslf.usermodel.XSLFShape
          org.apache.poi.xslf.usermodel.XSLFSimpleShape
              org.apache.poi.xslf.usermodel.XSLFTextShape
                  org.apache.poi.xslf.usermodel.XSLFAutoShape

All Implemented Interfaces:
  java.lang.Iterable<XSLFTextParagraph>

Direct Known Subclasses:
  XSLFFreeformShape, XSLFTextBox

    @Beta
    public class XSLFAutoShape

extends XSLFTextShape

Represents a shape with a preset geometry.

Author:
  Yegor Kozlov

Method Summary
`protected org.openxmlformats.schemas.drawingml.x2006.main.CTTextBody` `getTextBody(boolean create)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFTextShape

`addNewTextParagraph, clearText, drawContent, getBottomInset, getLeftInset, getRightInset, getText, getTextAutofit, getTextBodyPr, getTextDirection, getTextHeight, getTextParagraphs, getTextType, getTopInset, getVerticalAlignment, getWordWrap, iterator, resizeToFitText, setBottomInset, setLeftInset, setPlaceholder, setRightInset, setText, setTextAutofit, setTextDirection, setTopInset, setVerticalAlignment, setWordWrap`

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFSimpleShape

`draw, getAnchor, getCTPlaceholder, getFillColor, getFlipHorizontal, getFlipVertical, getLineCap, getLineColor, getLineDash, getLineHeadDecoration, getLineHeadLength, getLineHeadWidth, getLineTailDecoration, getLineTailLength, getLineTailWidth, getLineWidth, getNvPr, getRotation, getShadow, getShapeId, getShapeName, getShapeType, getSheet, getSpPr, getSpStyle, getXmlObject, setAnchor, setFillColor, setFlipHorizontal, setFlipVertical, setLineCap, setLineColor, setLineDash, setLineHeadDecoration, setLineHeadLength, setLineHeadWidth, setLineTailDecoration, setLineTailLength, setLineTailWidth, setLineWidth, setRotation, setShapeType`

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFShape
`applyTransform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getTextBody

    protected org.openxmlformats.schemas.drawingml.x2006.main.CTTextBody getTextBody(boolean create)

  Specified by:
    `getTextBody` in class `XSLFTextShape`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.